//<!--
// The contents of this file are subject to the terms
// of the Common Development and Distribution License
// (the License).  You may not use this file except in
// compliance with the License.
// 
// You can obtain a copy of the license at
// https://woodstock.dev.java.net/public/CDDLv1.0.html.
// See the License for the specific language governing
// permissions and limitations under the License.
// 
// When distributing Covered Code, include this CDDL
// Header Notice in each file and include the License file
// at https://woodstock.dev.java.net/public/CDDLv1.0.html.
// If applicable, add the following below the CDDL Header,
// with the fields enclosed by brackets [] replaced by
// you own identifying information:
// "Portions Copyrighted [year] [name of copyright owner]"
// 
// Copyright 2007 Sun Microsystems, Inc. All rights reserved.
//

dojo.provide("webui.suntheme.props");

/**
 * This closure is used to provide theme properties.
 */
webui.suntheme.props = {
    // Common properties.
    hiddenClassName: "hidden_sun4", // Use webui.suntheme.common.setVisibleElement

    // Button properties.
    button: {
        imageClassName: "Btn3_sun4",
        imageDisabledClassName: "Btn3Dis_sun4",
        imageHovClassName: "Btn3Hov_sun4",
        primaryClassName: "Btn1_sun4",
        primaryDisabledClassName: "Btn1Dis_sun4",
        primaryHovClassName: "Btn1Hov_sun4",
        primaryMiniClassName: "Btn1Mni_sun4",
        primaryMiniHovClassName: "Btn1MniHov_sun4",
        primaryMiniDisabledClassName: "Btn1MniDis_sun4",
        secondaryClassName: "Btn2_sun4",
        secondaryDisabledClassName: "Btn2Dis_sun4",
        secondaryHovClassName: "Btn2Hov_sun4",
        secondaryMiniClassName: "Btn2Mni_sun4",
        secondaryMiniDisabledClassName: "Btn2MniDis_sun4",
        secondaryMiniHovClassName: "Btn2MniHov_sun4"
    },

    // Drop Down properties.
    dropDown: {
        className: "MnuStd_sun4",
        disabledClassName: "MnuStdDis_sun4",
        optionClassName: "MnuStdOpt_sun4",
        optionDisabledClassName: "MnuStdOptDis_sun4",
        optionGroupClassName: "MnuStdOptGrp_sun4",
        optionSelectedClassName: "MnuStdOptSel_sun4",
        optionSeparatorClassName: "MnuStdOptSep_sun4"
    },

    // Field properties.
    field: {
        areaClassName: "TxtAra_sun4",
        areaDisabledClassName: "TxtAraDis_sun4",
        fieldClassName: "TxtFld_sun4",
        fieldDisabledClassName: "TxtFldDis_sun4"
    },

    // Jump drop down properties.
    jumpDropDown: {
        className: "MnuJmp_sun4",
        disabledClassName: "",
        optionClassName: "MnuJmpOpt_sun4",
        optionDisabledClassName: "MnuJmpOptDis_sun4",
        optionGroupClassName: "MnuJmpOptGrp_sun4",
        optionSelectedClassName: "MnuJmpOptSel_sun4",
        optionSeparatorClassName: "MnuJmpOptSep_sun4"
    },

    // Listbox properties.
    listbox: {
        className: "Lst_sun4",
        disabledClassName: "LstDis_sun4",
        monospaceClassName: "LstMno_sun4",
        monospaceDisabledClassName: "LstMnoDis_sun4",
        optionClassName: "LstOpt_sun4",
        optionDisabledClassName: "LstOptDis_sun4",
        optionGroupClassName: "LstOptGrp_sun4",
        optionSelectedClassName: "LstOptSel_sun4",
        optionSeparatorClassName: "LstOptSep_sun4"
    },

    // Tree properties.
    tree: {
        selectedTreeRowClass: "TreeSelRow_sun4",
        treeRowClass: "TreeRow_sun4"
    }
}

//-->
